Subject: bug#59721: 30.0.50; tab bar groups are not ordered properly

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Nov 2022 18:38:57 +0200

> 1. Enable tab-bar-mode and then alter tab-bar-format to show groups. Something like this:
>
>   (setq tab-bar-format '(tab-bar-format-history tab-bar-format-tabs-groups tab-bar-separator tab-bar-format-add-tab))
>
> 2. Create three tabs: A, B, C.  Now switch to A and use M-x
> tab-bar-change-tab-group and name it "foo".  Now switch to C and name
> it "foo" also.
>
> 3. The tab bar groups are _not_ merged; with a large array of tab
> bars, this causes endless confusion as there are man duplicae tab
> groups.  You would expect a tab group to coalesce like tab group
> members into a singular tab group --- that is after all their purpose.

Thanks for the bug report.  We had a discussion about this problem
in the past, and in the result we arrived at such a solution that the
customizable variable `tab-bar-tab-post-change-group-functions' provides
an option `tab-bar-move-tab-to-group', so that when you select it,
then after changing the group name the tab is moved to its tab group.